Name:           ddclient
Version:        3.9.1
Release:        %mkrel 1
Summary:        Client to update dynamic DNS host entries
License:        GPLv2
Group:          System/Networking

URL:            http://ddclient.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/ddclient/%name-%version.tar.gz
Source1:        ddclient.rwtab
Source2:        ddclient.service
Source3:        ddclient.sysconfig
Source4:        ddclient.NetworkManager
Source5:        ddclient-tmpfiles.conf
Patch0:         ddclient-3.8.1-config.patch

BuildArch:      noarch


Requires:       perl(IO::Socket::SSL)
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun):rpm-helper

%description
ddclient is a Perl client used to update dynamic DNS entries for accounts
on many different dynamic DNS services. Features include: Operating as a
daemon, manual and automatic updates, static and dynamic updates, optimized
updates for multiple addresses, MX, wildcards, abuse avoidance, retrying
the failed updates and sending update status to syslog and through e-mail.

%prep
%setup -q
%autopatch -p1


%build


%install

chmod 644 README*

install -D -p -m 755 %{name} %{buildroot}%{_sbindir}/%{name}
install -D -p -m 600 sample-etc_ddclient.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rwtab.d/%{name}
install -D -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
install -D -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -p -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/50-%{name}
install -D -p -m 644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%__mkdir_p %{buildroot}%{_localstatedir}/cache/%{name}
touch %{buildroot}%{_localstatedir}/cache/%{name}/%{name}.cache

%pre
%_pre_useradd %{name} %{_localstatedir}/cache/%{name} /sbin/nologin

%post
%_tmpfilescreate %{name}
%create_ghostfile %{_localstatedir}/cache/%{name}/%{name}.cache %name %name 600


%postun
%_postun_userdel %{name}

%files
%doc README*
%{_sbindir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0600,%{name},%{name}) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/rwtab.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_localstatedir}/cache/%{name}
%attr(0600,%{name},%{name}) %ghost %{_localstatedir}/cache/%{name}/%{name}.cache
%{_sysconfdir}/NetworkManager/dispatcher.d/50-%{name}
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service


%changelog
* Fri Jul 10 2020 eatdirt <eatdirt> 3.9.1-1.mga8
+ Revision: 1604313
- Upgrade to version 3.9.1

* Sat Feb 15 2020 umeabot <umeabot> 3.9.0-3.mga8
+ Revision: 1524224
- Mageia 8 Mass Rebuild

* Wed Mar 27 2019 daviddavid <daviddavid> 3.9.0-2.mga7
+ Revision: 1380486
- update tmpfiles configuration to use /run instead of /var/run

* Tue Sep 18 2018 eatdirt <eatdirt> 3.9.0-1.mga7
+ Revision: 1263175
- Upgrade to version 3.9.0

* Tue Sep 18 2018 umeabot <umeabot> 3.8.3-2.mga7
+ Revision: 1260596
- Mageia 7 Mass Rebuild

* Tue Jan 26 2016 eatdirt <eatdirt> 3.8.3-1.mga6
+ Revision: 927915
- Upgrade to version 3.8.3

* Wed Oct 07 2015 ovitters <ovitters> 3.8.2-5.mga6
+ Revision: 886998
- remove executable bit from systemd unit file

* Wed Jun 24 2015 ovitters <ovitters> 3.8.2-4.mga6
+ Revision: 842464
- ensure ddclient can resolve host name at boot (mga#16193)

* Wed Oct 15 2014 umeabot <umeabot> 3.8.2-3.mga5
+ Revision: 746242
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.2-2.mga5
+ Revision: 678697
- Mageia 5 Mass Rebuild

* Sun Apr 27 2014 eatdirt <eatdirt> 3.8.2-1.mga5
+ Revision: 618501
- Upgrade to version 3.8.2

* Sat Oct 19 2013 umeabot <umeabot> 3.8.1-7.mga4
+ Revision: 522684
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 3.8.1-6.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Tue Jan 22 2013 fwang <fwang> 3.8.1-5.mga3
+ Revision: 390849
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 3.8.1-4.mga3
+ Revision: 348706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 eatdirt <eatdirt> 3.8.1-3.mga3
+ Revision: 283952
- Compat systemd for /var/run, specfile cleaned

* Wed Jul 25 2012 ovitters <ovitters> 3.8.1-2.mga3
+ Revision: 274271
- sync with fedora
- native systemd service
- run under ddclient user instead of root

* Thu Sep 08 2011 tv <tv> 3.8.1-1.mga2
+ Revision: 141553
- new release

* Sat Apr 09 2011 wally <wally> 3.8.0-4.mga1
+ Revision: 82593
- change summary and description (thanks goes to Fedora)

* Sat Apr 09 2011 wally <wally> 3.8.0-3.mga1
+ Revision: 82520
- minor .spec rewrite
- drop buildroot definition
- imported package ddclient

